Name:           glite-lb-common
Version:        9.1.1
Release:        15%{?dist}
Summary:        gLite Logging and Bookkeeping common headers and library

License:        ASL 2.0
URL:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.lb.common/%{name}-%{version}.tar.gz

BuildRequires:  c-ares-devel
%if 0%{?rhel} <= 6 && ! 0%{?fedora}
BuildRequires:  classads-devel
%else
BuildRequires:  condor-classads-devel
%endif
BuildRequires:  cppunit-devel
BuildRequires:  expat-devel
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  glite-jobid-api-cpp-devel
BuildRequires:  glite-jobid-api-c-devel
BuildRequires:  glite-lbjp-common-gss-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  libtool
BuildRequires:  glite-lb-types
BuildRequires:  perl-interpreter
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
glite-lb-common is a package containing gLite LB common files shared by client
and daemons. This package contains the LB common library.


%package        devel
Summary:        Development files for gLite L&B common library
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glite-jobid-api-c-devel%{?_isa}
Requires:       glite-lb-types
Requires:       glite-lbjp-common-gss-devel%{?_isa}

%description    devel
This package contains development libraries and header files for gLite L&B
common library.


%prep
%setup -q


%build
./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib}
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%ldconfig_scriptlets


%files
%doc ChangeLog
%license LICENSE
%{_libdir}/libglite_lb_common.so.16
%{_libdir}/libglite_lb_common.so.16.*

%files devel
%{_includedir}/glite/lb/*
%{_libdir}/libglite_lb_common.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 07 2018 František Dvořák <valtri@civ.zcu.cz> - 9.1.1-11
- Packaging updates (gcc-c++ BR)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Mar 26 2017 František Dvořák <valtri@civ.zcu.cz> - 9.1.1-7
- Rebuild with condor 8.6.1 (libclassad.so.8)
- Packaging updates (%%license, direct configure script launch)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 9.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Nov 23 2014 František Dvořák <valtri@civ.zcu.cz> - 9.1.1-3
- Rebuild with condor 8.3.1 (libclassad.so.7)

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 26 2014 František Dvořák <valtri@civ.zcu.cz> - 9.1.1-1
- New release 9.1.1 (L&B 4.1.2)
- Consistent style with buildroot macro
- Context parameters patch in upstream

* Sun Jun 22 2014 František Dvořák <valtri@civ.zcu.cz> - 9.1.0-3
- Patch to fix context parameters (issue #25)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 9.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 František Dvořák <valtri@civ.zcu.cz> - 9.1.0-1
- New release 9.1.0 (L&B 4.1.1)

* Fri Dec 20 2013 František Dvořák <valtri@civ.zcu.cz> - 9.0.8-2
- Patch to fix build on 32-bit PPC (#1040396)

* Fri Nov 22 2013 František Dvořák <valtri@civ.zcu.cz> - 9.0.8-1
- New release 9.0.8 (L&B 4.0.12)
- Parallel build and pkg-config patches not needed anymore

* Thu Sep 26 2013 František Dvořák <valtri@civ.zcu.cz> - 9.0.7-3
- Rebuild with condor 8.1.1 (libclassad.so.6)

* Sun Sep 01 2013 František Dvořák <valtri@civ.zcu.cz> - 9.0.7-2
- Replace find command by wildcards
- Use the newer condor-classads-devel instead of classads on Fedora

* Mon Aug 26 2013 František Dvořák <valtri@civ.zcu.cz> - 9.0.7-1
- Initial package
